Bug 1348566 - [RFE] Provide a mechanism to configure boot params
Summary: [RFE] Provide a mechanism to configure boot params
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Lucas Alvares Gomes
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1235009 1281573 1389435 1396159 1419948
TreeView+ depends on / blocked
 
Reported: 2016-06-21 13:08 UTC by Karthik Sundaravel
Modified: 2019-09-09 16:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-27 09:30:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 331564 None None None 2017-01-26 21:24:23 UTC

Description Karthik Sundaravel 2016-06-21 13:08:03 UTC
Description of problem:

In a performance critical NFV cluster, with compute nodes of varying hardware
specification (CPU cores, NUMA layout, RAM), certain boot parameters needs to
be configured on a per node basis. We need a mechanism to automate the process
of configuring the boot parameters for each of the compute nodes, so that, the
manual post deployment configurations could be minimized.

The performance of the compute node is highly critical, especially for hosting
VNFs with DPDK. Inorder to enable DPDK, we need to enable CPU isolation and
hugepages (1GB). Hugepages and CPU isolation shall be enabled by configuring
the boot parameters accordingly.

Today, these features are done manually after the cluster installation. We
need a mechanism to automate the same using tripleo heat templates.

In the process of enabling this across stack, we have proposed a spec for the
Ironic changes [1]. But we need to pass the boot parameters to ironic from
Nova, provided by heat.

We have raised this RFE to discuss further on the required changes in
alignment with ironic changes.


[1] https://review.openstack.org/#/c/331564

Comment 4 Saravanan KR 2017-06-27 09:30:44 UTC
The boot parameters cannot be changed directly in the ironic, the spec is abandoned. We no more need this change. The kernel args will be configured in TripleO with a reboot associated.


Note You need to log in before you can comment on or make changes to this bug.